package com.ruoyi.system.mapper;

import java.util.List;

import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.TDeviceList;

/**
 * 设备列Mapper接口
 * 
 * @author zhengjie
 * @date 2023-08-30
 */
public interface TDeviceListMapper 
{
    /**
     * 查询设备列
     * 
     * @param id 设备列主键
     * @return 设备列
     */
    public TDeviceList selectTDeviceListById(Integer id);

    /**
     * 查询设备列列表
     * 
     * @param tDeviceList 设备列
     * @return 设备列集合
     */
    public List<TDeviceList> selectTDeviceListList(TDeviceList tDeviceList);

    /**
     * 新增设备列
     * 
     * @param tDeviceList 设备列
     * @return 结果
     */
    public int insertTDeviceList(TDeviceList tDeviceList);

    /**
     * 修改设备列
     * 
     * @param tDeviceList 设备列
     * @return 结果
     */
    public int updateTDeviceList(TDeviceList tDeviceList);

    /**
     * 删除设备列
     * 
     * @param id 设备列主键
     * @return 结果
     */
    public int deleteTDeviceListById(Integer id);

    /**
     * 批量删除设备列
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDeviceListByIds(Integer[] ids);
}
