package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TDeviceListMapper;
import com.ruoyi.system.domain.TDeviceList;
import com.ruoyi.system.service.ITDeviceListService;

/**
 * 设备列Service业务层处理
 * 
 * @author zhengjie
 * @date 2023-08-30
 */
@Service
public class TDeviceListServiceImpl implements ITDeviceListService 
{
    @Autowired
    private TDeviceListMapper tDeviceListMapper;

    /**
     * 查询设备列
     * 
     * @param id 设备列主键
     * @return 设备列
     */
    @Override
    public TDeviceList selectTDeviceListById(Integer id)
    {
        return tDeviceListMapper.selectTDeviceListById(id);
    }

    /**
     * 查询设备列列表
     * 
     * @param tDeviceList 设备列
     * @return 设备列
     */
    @Override
    public List<TDeviceList> selectTDeviceListList(TDeviceList tDeviceList)
    {
        return tDeviceListMapper.selectTDeviceListList(tDeviceList);
    }

    /**
     * 新增设备列
     * 
     * @param tDeviceList 设备列
     * @return 结果
     */
    @Override
    public int insertTDeviceList(TDeviceList tDeviceList)
    {
        tDeviceList.setCreateTime(DateUtils.getNowDate());
        return tDeviceListMapper.insertTDeviceList(tDeviceList);
    }

    /**
     * 修改设备列
     * 
     * @param tDeviceList 设备列
     * @return 结果
     */
    @Override
    public int updateTDeviceList(TDeviceList tDeviceList)
    {
        return tDeviceListMapper.updateTDeviceList(tDeviceList);
    }

    /**
     * 批量删除设备列
     * 
     * @param ids 需要删除的设备列主键
     * @return 结果
     */
    @Override
    public int deleteTDeviceListByIds(Integer[] ids)
    {
        return tDeviceListMapper.deleteTDeviceListByIds(ids);
    }

    /**
     * 删除设备列信息
     * 
     * @param id 设备列主键
     * @return 结果
     */
    @Override
    public int deleteTDeviceListById(Integer id)
    {
        return tDeviceListMapper.deleteTDeviceListById(id);
    }
}
